Package oracle.jdbc

## Interface ErrorSet

    public interface ErrorSet

An immutable set of Oracle error references.

Since:
  23

### Field Summary

Fields
`static ErrorSet` `ALL_ERRORS` The set which contains all errors
`static ErrorSet` `NO_ERRORS` The set which contains no errors

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `contains​(java.sql.SQLException sqlException)` Returns `true` if this set contains the error identified by the specified `sqlException`.

### Field Detail

#### ALL_ERRORS

    static final ErrorSet ALL_ERRORS

The set which contains all errors

#### NO_ERRORS

    static final ErrorSet NO_ERRORS

The set which contains no errors

### Method Detail

#### contains

    boolean contains​(java.sql.SQLException sqlException)

Returns `true` if this set contains the error identified by the specified `sqlException`.

Parameters:
  `sqlException` - A SQL exception which identifies an error. Not null.
Returns:
  True if the identified error is contained in this set, otherwise false.
Throws:
  `java.lang.NullPointerException` - if the `sqlException` is null.